Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Tue, 16 Aug 2022 08:12:42 +0000

>> Otherwise it's just another variable that anyone can use as they see 
>> fit.
>
> All Emacs variables and functions are like that.
>

Not all of them, no.  See the three examples I mentioned earlier: 
internal-interpreter-environment, max-specpdl-size, max-lisp-eval-depth. 
And I'm sure there are others.